Get one Feed search and paginated results
curl --request GET \
--url https://app.puffle.ai/api/feed/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.puffle.ai/api/feed/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.puffle.ai/api/feed/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"search": {
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"scheduleEnabled": true,
"definitionHash": "<string>",
"intent": "<string>",
"sellerContext": "<string>",
"sourcePlans": [
{
"query": [
"<string>"
],
"reason": "<string>",
"resultTarget": {
"mode": "count",
"count": 4503599627370495
},
"geography": {
"mode": "explicit",
"countryCodes": [
"<string>"
],
"cityNames": [
"<string>"
]
},
"companySize": {
"min": 4503599627370495,
"max": 4503599627370495
},
"personCriteria": [
{
"id": "<string>",
"kind": "current_title",
"values": [
"<string>"
]
}
],
"unresolvedPreferences": [
"<string>"
],
"companyCriteria": [
{
"id": "<string>",
"value": "<string>"
}
],
"rankedCompanyCohort": {
"kind": "default",
"limit": 4503599627370495
}
}
],
"details": {
"channel": "<string>",
"signal": "<string>",
"expectedLead": "<string>",
"whyThisShouldWork": "<string>",
"plannerAssumedPreferences": [
"<string>"
]
},
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outboundCampaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leadCount": 4503599627370495,
"resultCount": 4503599627370495,
"contactedCount": 4503599627370495,
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"results": [
{
"resultId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "<string>",
"searchUrl": "<string>",
"query": "<string>",
"searchReason": "<string>",
"signalReason": "<string>",
"title": "<string>",
"content": "<string>",
"occurredAt": "<string>",
"author": null,
"metadata": {},
"lead": null,
"leadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonicalLead": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"title": "<string>",
"company": "<string>",
"companyDomain": "<string>",
"email": "<string>",
"linkedinUrl": "<string>"
},
"entityCompany": "<string>",
"entityPerson": "<string>",
"score": 0,
"status": "<string>",
"createdAt": "<string>"
}
],
"pagination": {
"total": 4503599627370495,
"limit": 4503599627370495,
"offset": 4503599627370495,
"hasMore": true,
"nextCursor": 4503599627370495
},
"latestRun": {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counts": {},
"errors": [
{
"sourceId": "<string>",
"error": "<string>",
"code": "<string>"
}
],
"sourceStatus": [
{
"sourceId": "<string>",
"status": "<string>",
"error": "<string>",
"queryDiagnostics": [
{
"query": "<string>",
"fetched": 4503599627370495,
"normalized": 4503599627370495,
"ranked": 4503599627370495,
"leadExtracted": 4503599627370495,
"qualityKept": 4503599627370495,
"stored": 4503599627370495,
"maxResults": 4503599627370495,
"apolloEnriched": 4503599627370495,
"keywordDepthBoosted": true,
"currentRunDepthExpanded": true,
"searchAttempts": [
{
"attempt": 4503599627370495,
"reason": "<string>",
"fetched": 4503599627370495,
"providerQuery": "<string>",
"filters": {}
}
],
"error": "<string>"
}
]
}
],
"triggerRunId": "<string>",
"cancelledAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}Feed
Get one Feed search and paginated results
Get one Feed search and paginated results
GET
/
api
/
feed
/
{id}
Get one Feed search and paginated results
CLI:
puffle feed --id <id>
puffle feed --id <id> --limit <limit> --offset <offset> --cursor <cursor>
Overview
Get one Feed search and paginated results This page documentsget /api/feed/{id}. Use the request and response sections on this page for accepted parameters, payload fields, response fields, and authentication behavior.
AI agent notes
- Confirm the operation matches the user’s intent before calling it.
- For write operations, confirm the user intends to change state.
- Surface validation, permission, and not-found errors instead of retrying unchanged.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
0 < x <= 500Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Was this page helpful?
⌘I